﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="ChartToolTip.WebForm1" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1Chart"
    TagPrefix="wijmo" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <!--jQuery References-->
    <script src="http://code.jquery.com/jquery-1.9.1.min.js" type="text/javascript"></script>
    <script src="http://code.jquery.com/ui/1.10.1/jquery-ui.min.js" type="text/javascript"></script>
    <!--Theme-->
    <link href="http://cdn.wijmo.com/themes/aristo/jquery-wijmo.css" rel="stylesheet"
        type="text/css" />
    <!--Wijmo Widgets CSS-->
    <link href="http://cdn.wijmo.com/jquery.wijmo-pro.all.3.20132.9.min.css" rel="stylesheet"
        type="text/css" />
    <!--Wijmo Widgets JavaScript-->
    <script src="http://cdn.wijmo.com/jquery.wijmo-open.all.3.20132.9.min.js" type="text/javascript"></script>
    <script src="http://cdn.wijmo.com/jquery.wijmo-pro.all.3.20132.9.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $(".wijlinechart-label").each(function () {
                var a = "Series: Test Series Value: " + $(this)[0].textContent;
                $(this)[0].textContent = a;
            });
        });
     
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <wijmo:C1LineChart
            ID="C1LineChart1" runat="server">
            <SeriesTransition Duration="2000"></SeriesTransition>
            <Animation Duration="2000"></Animation>
            <SeriesList>
                <wijmo:LineChartSeries HintContents="One,Two,Three,Four,Five" Label="Test Series"
                    LegendEntry="True">
                    <Data>
                        <X>
                            <Values>
                                <wijmo:ChartXData DoubleValue="1" />
                                <wijmo:ChartXData DoubleValue="2" />
                                <wijmo:ChartXData DoubleValue="3" />
                                <wijmo:ChartXData DoubleValue="4" />
                                <wijmo:ChartXData DoubleValue="5" />
                            </Values>
                        </X>
                        <Y>
                            <Values>
                                <wijmo:ChartYData DoubleValue="13" />
                                <wijmo:ChartYData DoubleValue="12" />
                                <wijmo:ChartYData DoubleValue="15" />
                                <wijmo:ChartYData DoubleValue="11" />
                                <wijmo:ChartYData DoubleValue="14" />
                            </Values>
                        </Y>
                    </Data>
                    <Markers Visible="True">
                        <Symbol>
                            <wijmo:LineChartMarkerSymbol />
                        </Symbol>
                    </Markers>
                </wijmo:LineChartSeries>
            </SeriesList>
            <SeriesHoverStyles>
                <wijmo:ChartStyle Title="Test">
                </wijmo:ChartStyle>
            </SeriesHoverStyles>
            <Header Compass="North">
            </Header>
            <Footer Compass="South" Visible="False">
            </Footer>
            <Legend>
                <Size Width="30" Height="3"></Size>
            </Legend>
            <Axis>
                <X>
                    <GridMajor Visible="True">
                    </GridMajor>
                    <GridMinor Visible="False">
                    </GridMinor>
                </X>
                <Y Visible="False" Compass="West">
                    <Labels TextAlign="Center">
                    </Labels>
                    <GridMajor Visible="True">
                    </GridMajor>
                    <GridMinor Visible="False">
                    </GridMinor>
                </Y>
            </Axis>
        </wijmo:C1LineChart>
    </div>
    </form>
</body>
</html>
